use axum::{Json, extract::Path};
use log::debug;
use serde::Serialize;

use crate::USER;

#[derive(Serialize)]
pub struct UsersResponse {
    #[serde(rename = "@context")]
    context: String,
    r#type: String,
    name: String,
    id: String,
}

pub async fn users_get(Path(user): Path<String>) -> Json<UsersResponse> {
    debug!("Got request for actor: {user}");
    assert_eq!(user, USER);

    Json(UsersResponse {
        context: "https://www.w3.org/ns/activitystreams".to_string(),
        r#type: "Person".to_string(),
        name: "Sally Smith".to_string(),
        id: "https://testhost.com/users/test".to_string(),
    })
}
